<?php
/**
 * About view
 *
 * @package 	CSVIVirtueMart
 * @author 		Roland Dalmulder
 * @link 		http://www.csvimproved.com
 * @copyright 	Copyright (C) 2006 - 2012 RolandD Cyber Produksi
 * @license 	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @version 	$Id: view.json.php 1892 2012-02-11 11:01:09Z RolandD $
 */

defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

jimport( 'joomla.application.component.view' );

/**
 * About View
 *
 * @package CSVIVirtueMart
 */
class CsvivirtuemartViewAbout extends JView {
	
	/**
	* About view display method
	* @return void
	* */
	function display($tpl = null) {
		$task = JRequest::getVar('task');
		switch ($task) {
			case 'checkversion':
				// Call the version checker
				echo json_encode($this->get('CheckVersion'));
				break;
			case 'createfolder':
				echo json_encode($this->get('CreateFolder'));
				break;
		}
	}
}
?>